Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface StreamEncodeable

    public interface StreamEncodeable

Marks a class capable of encoding itself with given Encoder to given EncodedAppender instance

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`void` | `encodeTo(EncodedAppender appender, Encoder encoder)` Calls the encoder to encode the current content of the StreamEncodable instance (itself) to the EncodedAppender.

Method Detail

### encodeTo

    public void encodeTo(EncodedAppender appender, Encoder encoder)

  Calls the encoder to encode the current content of the StreamEncodable instance (itself) to the EncodedAppender. It is recommended that the implementation checks if Encoder is a StreamingEncoder instance and takes use of that interface.
  throws:
    IOException Signals that an I/O exception has occurred.
  Parameters:
    `appender` - the EncodedAppender instance
    `encoder` - the encoder

Groovy Documentation